#!/usr/bin/env bash

#
# Copyright 2020-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Run tests on tm

# exit on errors
set -eu -o pipefail

SRC_DIR=`pwd`
export FABRIC_TOFINO=$SRC_DIR/${FABRIC_TOFINO}
export SDE_DOCKER_IMG=${SDE_REPO}:${SDE_VER}-tm

echo "Step 7 - Run ${FABRIC_P4TEST} on tm"
cd ${FABRIC_P4TEST}
${TM_RUN} fabric
${TM_RUN} fabric-bng
${TM_RUN} fabric-spgw
${TM_RUN} fabric-int
${TM_RUN} fabric-spgw-int

echo "Tests on tm passed"
